﻿ $Computer = "."

 $Options = New-Object System.Management.EnumerationOptions
 $Options.Rewindable = $False

 $Scope = new-Object System.Management.ManagementScope("\\$Computer\Root\cimv2\sms")
 
 #class SMS_SystemConsoleUsage
 $Query = New-Object System.Management.ObjectQuery "SELECT * FROM SMS_SystemConsoleUsage"
 $Results = New-Object System.Management.ManagementObjectSearcher $Scope, $Query, $Options
 $Items = $Results.Get()

 ForEach ($Item In $Items)
 {
     "SecurityLogStartDate: " + $Item.SecurityLogStartDate
     "TotalSecurityLogTime: " + $Item.TotalSecurityLogTime
     "TotalConsoleTime: " + $Item.TotalConsoleTime
     "TotalConsoleUsers: " + $Item.TotalConsoleUsers
     "TopConsoleUser: " + $Item.TopConsoleUser
 }

 write-host ("")
 write-host ("----")
 write-host ("")
 
 
 #class SMS_SystemConsoleUser
 
 $Query = New-Object System.Management.ObjectQuery "SELECT * FROM SMS_SystemConsoleUser"
 $Results = New-Object System.Management.ManagementObjectSearcher $Scope, $Query, $Options
 $Items = $Results.Get()

 ForEach ($Item In $Items)
 {
     "System Console User: " + $Item.SystemConsoleUser
     "TotalUserConsoleMinutes: " + $Item.TotalUserConsoleMinutes
     "NumberOfConsoleLogons: " + $Item.NumberOfConsoleLogons
     "LastConsoleUse: " + $Item.LastConsoleUse
     write-host ("----")
     write-host ("")
 }
